> For the complete documentation index, see [llms.txt](https://docs.dler.io/black-hole/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dler.io/black-hole/advanced/nei-wang-chuan-tou-fang-wen-jia-zhong-she-bei.md).

# 内网穿透（访问家中设备）

###

{% embed url="<https://gofrp.org/en/docs/>" %}

### 服务端

{% hint style="info" %}
一般为拥有公网 IP 的 VPS
{% endhint %}

配置: frps.toml

```ini
bindPort = 7000
```

部署

```
docker run  -v $(pwd)/frps.toml:/etc/frp/frps.toml \
            -d --name=frps \
               --net=host \
               --restart=always \
               --log-driver json-file \
               --log-opt max-size=10m \
               --log-opt max-file=3 \
snowdreamtech/frps
```

### 客户端

{% hint style="info" %}
家中设备
{% endhint %}

配置: frpc.toml

```ini
serverAddr = "x.x.x.x"
serverPort = 7000

[[proxies]]
name = "Surge Dashboard"
type = "tcp"
localIP = "192.168.10.4"
localPort = 6170
remotePort = 6170

[[proxies]]
name = "Emby"
type = "tcp"
localIP = "192.168.10.40"
localPort = 8096
remotePort = 8096
```

部署

```
docker run  -v $(pwd)/frpc.toml:/etc/frp/frpc.toml \
            -d --name=frpc \
               --net=host \
               --restart=always \
               --log-driver json-file \
               --log-opt max-size=10m \
               --log-opt max-file=3 \
snowdreamtech/frpc
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dler.io/black-hole/advanced/nei-wang-chuan-tou-fang-wen-jia-zhong-she-bei.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
